
import React from 'react';
import Icon from 'react-icon-base';

const SlPrinter = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M952.736 705.072h-120.719v254.448h-640.032v-254.448h-120.72c-39.3125 0 -71.3125 -32 -71.3125 -71.3438v-433.888c0 -39.3438 32 -71.3438 71.3115 -71.3438h120.72v-192.016h640.032v192.016h120.72c39.3125 0 71.3125 32 71.3125 71.3438v433.888 c0 39.3438 -32 71.3438 -71.3125 71.3438zM255.985 896.513h512.032v-191.44h-512.032v191.44zM768.018 0.480469h-512.032v352.4h512.032v-352.4zM960.05 199.841c0 -4.08008 -3.28027 -7.34375 -7.3125 -7.34375h-120.72v224.384h-640.032v-224.368h-120.72 c-4.03223 0 -7.3125 3.26367 -7.3125 7.34375v433.872c0 4.06445 3.28027 7.34473 7.3125 7.34473h881.472c4.03223 0 7.3125 -3.28027 7.3125 -7.34473zM832.002 576.561h-32c-17.6641 0 -32 -14.3359 -32 -32s14.3359 -32 32 -32h32c17.6641 0 32 14.3359 32 32 s-14.3359 32 -32 32z"/></g>
    </Icon>
);

export default SlPrinter;
